Page MenuHomePhabricator

publishing an article with external links using CX doesn't work
Closed, ResolvedPublic1 Story Points

Description

To reproduce:

  • Create a new user account.
  • Enable the CX beta feature in the Portuguese Wikipedia.
  • Enable the CX beta feature in the Spanish Wikipedia (see T87509).
  • Go to https://pt.wikipedia.org/wiki/20th_Century_London .
  • Click the red interlanguage link and start a translation.
  • Click all the paragraphs.
  • Change the text in the first paragraph (to avoid the "100% MT warning").
  • Click the "Publish" button.
  • Publishing confirmation with a link to the published user-space draft appears. Click the link.

Observed: An un-created wiki page appears. When clicking the "Contributions" link at the top, creating the page doesn't appear in user's contributions.

Expected: The create user-space draft must appear with the appropriate content. When clicking the "Contributions" link at the top, creating the page is supposed to appear as one of user's contributions.

Event Timeline

Amire80 created this task.Jan 24 2015, 3:45 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2015, 3:45 PM
Amire80 triaged this task as High priority.Jan 24 2015, 3:46 PM
Amire80 set Security to None.
Arrbee added a subscriber: Arrbee.
Amire80 claimed this task.Feb 4 2015, 3:18 PM

Possible causes:

  • Abuse filter
  • In particular, Abuse filter with new users.
hoo added a subscriber: hoo.Feb 4 2015, 3:20 PM

If it is AbuseFilter, you can see that in the logs... but I doubt it. Much more likely ConfirmEdit (captchas) stops you here.

Amire80 moved this task from Backlog to In Progress on the LE-Sprint-82 board.Feb 14 2015, 10:32 PM

... OK, so it does seem to be related more to the AbuseFilter than to external links. See
https://es.wikipedia.org/wiki/Wikipedia:Filtro_de_ediciones/Portal/Archivo/Reporte_de_falsos_positivos/Actual#Usuario:Amire80.2Fcx-test

Also, we don't handle AbuseFilter errors meaningfully, even though we could (see T89585). This is actually not even an error, but a warning, but we just silently skip it.

OK, so there are three issues here:

  1. The first is already resolved - AbuseFilter blocked categories in userspace. This was resolved by fixing T88007 and updating the abuse filter in es.wikipedia.
  2. T89587 is another issue that may show up now that the above is resolved.
  3. T89585 is a more general issue.

T89587 and T89585 should be considered for adding to LE-Sprint-82 or LE-Sprint-83. I made simplistic patches for both, but smarter solutions may be needed.

Amire80 moved this task from In Progress to In Review on the LE-Sprint-82 board.
Amire80 closed this task as Resolved.Feb 16 2015, 8:05 AM

The issue in the original description is resolved, and I split the follow-up issues t other tasks: T89587 and T89585.

Amire80 moved this task from In Review to Done on the LE-Sprint-82 board.Feb 16 2015, 8:05 AM
Pginer-WMF edited a custom field.Feb 24 2015, 2:27 PM